petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDARestoreCoordinateArray

Sets an array containing the coordinates of the DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDARestoreCoordinateArray(DM dm,void *xc)

Not collective

### Input Parameter

| dm | - the DM
| xc | - the coordinates

Not supported from Fortran

### Keywords

distributed array, get, component name

### See Also

DMDASetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName(), DMDAGetCoordinateArray()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages